@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
  height: 100%;
  background: white 0% 0% no-repeat padding-box;

  font-family: "Poppins", sans-serif;
}

.login-logo {
  width: 220px;
  height: 70px;

  background: transparent url("../images/logo.png") 0% 0% no-repeat padding-box;
  mix-blend-mode: multiply;
}
.login-card {
  width: 500px;
  height: 585px;

  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border-radius: 12px;
  opacity: 1;
}

.login-label {
  text-align: left;
  font: normal normal normal 16px/25px Poppins;
  letter-spacing: 0px;
  color: #575757;
  opacity: 1;
}

.login-email {
  width: 420px;
  height: 60px;

  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border: 1px solid #c1c1c2;
  border-radius: 8px;
  border-right: none;
  opacity: 1;
}

.login-password {
  width: 420px;
  height: 60px;

  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border-right: none;
}

.login-submit {
  width: 400px;
  height: 60px;

  background: #235b90 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border-radius: 8px;
  opacity: 1;
  text-align: left;
  font: normal normal medium 16px/25px Poppins;
  letter-spacing: 0px;
  color: #ffffff;
}

.login-card-title {
  height: 90px;
  background: #f5fafe;
  color: #235b90;
  font: normal normal normal 30px Poppins;
  text-align: center;
  border-radius: 12px 12px 0 0;
  opacity: 1;

  /* Flexbox center */
  display: flex;
  align-items: center;
  justify-content: center;
}

.login-appname {
  background: transparent url("../images/neonat-software.svg") 0% 0% no-repeat
    padding-box;
  opacity: 1;
}

.login-modulename {
  text-align: center;
  font: normal normal normal 20px Poppins;
  letter-spacing: 0px;
  color: #575757;
  opacity: 1;
}

.login-login {
  text-align: center;
  font: normal normal normal 18px Poppins;
  letter-spacing: 0px;
  color: #235b90;
  opacity: 1;
}

.input-group-text {
  background-color: white !important;
  border-left: none;
  box-shadow: none;
}

.input-group-text img {
  display: block;
  margin: auto;
}

.loggedin-header-wrapper {
  position: sticky;
  top: 0;
  background: #fff;
  width: 100%;
  z-index: 999;
  box-shadow: 0 3px 10px rgba(35, 91, 144, 0.3);
}

.loggedin-header {
  height: 70px;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 3px 10px #235b904d;
  z-index: 998;
}

.loggedin-header-logo {
  width: 129px;
  height: 41px;

  background: transparent 0% 0% no-repeat padding-box;
  mix-blend-mode: multiply;
  opacity: 1;
}

.loggedin-header-appname {
  text-align: left;
  font: normal normal normal 20px Poppins;
  letter-spacing: 0px;
  color: #235b90;
  opacity: 1;
  padding-left: 15px;
}

.full-height {
  height: calc(100vh - 130px);
  min-height: calc(100vh - 130px);
  display: flex !important;
}

.content {
  flex: 1; /* same as col-10 (10/12) */
  background-color: #f9f9f9;
  padding: 2rem;
  flex-grow: 1;
  margin-top: 10px;
}

.sidebar {
  position: sticky;
  top: 80px; /* height of your header + margin */
  height: calc(100vh - 80px - 60px); /* Adjusted to account for footer height */
  overflow-y: auto;
  background: #235b90;
  color: #fff;
  padding: 20px 0;
  box-shadow: 5px 0px 10px #235b904d;
}
.sidebar ul {
  list-style: none;
  padding-left: 0;
  margin: 0;
}

.sidebar li {
  padding: 12px 20px;
  display: flex;
  align-items: center;
  font-size: 15px;
  cursor: pointer;
  transition: background 0.3s ease;
}

/* .sidebar li:hover {
  background-color: #2c76b8;
} */
.sidebar li.active {
  background-color: #2c76b8;
}
.sidebar li a {
  color: white;
  text-decoration: none;
}

.sidebar img {
  width: 18px;
  height: 18px;
  margin-right: 12px;
}

.sidebar ul li a .sub-item {
  margin-left: 10px;
  list-style: none;
}

.page-title {
  text-align: left;
  font: normal normal 600 18/27px Poppins;
  letter-spacing: 0px;
  color: #235b90 !important;
  margin-top: 500px !important;
}

.step-container {
  display: flex;
  align-items: center;
  font-family: Arial, sans-serif;
}

.step-number-outer {
  width: 44px;
  height: 44px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 10px;
}

.step-number-outer.inprogress {
  border: 2px solid #e87525;
}
.step-number-outer.completed {
  border: 2px solid #24a22e;
}
.step-number-outer.pending {
  border: 2px solid #575757;
}

.step-number-inner {
  width: 36px;
  height: 36px;
  background-color: #e87525;
  border-radius: 50%;
  color: white;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
}
.step-number-inner.inprogress {
  background-color: #e87525;
}
.step-number-inner.completed {
  background-color: #24a22e;
}
.step-number-inner.pending {
  background-color: #575757;
}

.step-text {
  text-align: left;
  font: normal normal medium 16px/22px Poppins;
  letter-spacing: 0px;
  color: #575757;
}
.step-divider {
  padding-left: 20px;
  padding-right: 25px;
  float: inline-end;
  width: 100px;
}

.step-description {
  text-align: left;
  font: normal normal normal 14px/21px Poppins;
  letter-spacing: 0px;
  color: #575757;
}
/* .custom-dropdown {
  width: 508px;
  height: 60px;
  border: 1px solid #235b90;
  border-radius: 8px;
  color: #235b90;
  text-align: left;
  font-weight: 600;
  padding-left: 16px;
  padding-right: 40px;
  position: relative;
  background-color: white;
}

.custom-dropdown::after {
  content: "";
  position: absolute;
  right: 16px;
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  border: solid #235b90;
  border-width: 0 2px 2px 0;
  padding: 4px;
  pointer-events: none;
}

.custom-dropdown-menu .dropdown-item {
  height: 60px;
  display: flex;
  align-items: center;
  font-weight: 500;
} */

a {
  text-decoration: none;
}

.align-center-middle {
  display: flex;
  flex-direction: column;
  justify-content: center; /* Vertical center */
  align-items: center; /* Horizontal center */
  text-align: center;
}

.file-dropbox {
  margin-top: 25px;
  width: 100%;
  height: 280px;
  background: #f5faff 0% 0% no-repeat padding-box;
  margin-left: 10px;

  text-align: center;
  border: 1px dashed #235b90;
  border-radius: 12px;
  opacity: 1;
}
.file-dropbox.highlight {
  background-color: #e0f2ff;
  border-color: #0b5ed7;
}
.file-dropbox p {
  color: #235b90;
  line-height: 5px;
}
.file-dropbox img {
  width: 60px; /* Adjust size as needed */
  margin-bottom: 10px;
}
.file-dropbox .upload-button {
  background-color: #235b90;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 25px;
  font-size: 16px;
  cursor: pointer;
  margin: 10px 0;
}

.file-dropbox .note {
  font-size: 12px;
  color: gray;
  margin-top: 10px;
}

.uploaded-file {
  display: flex;
  align-items: center;
  gap: 8px;
  font-family: "Poppins", sans-serif;
  font-size: 14px;
  margin-top: 12px;
}

.file-icon {
  width: 32px;
  height: 32px;
}

.uploaded-file a {
  color: #235b90;
  font-weight: 500;
  text-decoration: underline;
}

.remove-text {
  color: #666;
  margin-left: 8px;
  cursor: pointer;
}

.upload-status {
  display: flex;
  align-items: center;
  gap: 6px;
  margin: 6px;
  color: #575757;
  font-weight: 500;
  font: normal normal normal 14px/21px Poppins;
}

.tick-mark {
  width: 16px;
  height: 16px;
  border: 2px solid #4caf50;
  border-radius: 50%;
  background-color: #4caf50;
  display: inline-block;
  position: relative;
}

.tick-mark::after {
  content: "";
  position: absolute;
  left: 4px;
  top: 0;
  width: 4px;
  height: 8px;
  border: solid white;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}
.button-download-template {
  width: 250px;
  height: 50px;
  background: #f5fafe 0% 0% no-repeat padding-box;
  border: 1px solid #235b90;
  border-radius: 25px;
  font: normal normal normal 14px/21px Poppins;
  letter-spacing: 0px;
  color: #235b90;
  display: flex;
  align-items: center;
  justify-content: center; /* center content horizontally */
  cursor: pointer;
  gap: 8px; /* space between icon and text */
  padding: 0 16px; /* optional: inner space */
}

a.button-download-template:hover,
button.button-download-template:hover {
  font-weight: bold;
}

.button-download-template .btn-icon {
  width: 20px;
  height: 20px;
}

.button-run-assay-qc {
  width: 309px;
  height: 60px;
  color: white;
  background: #1679d6 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border-color: #1679d6;
  border-radius: 8px;
}

.assay-qc {
  font: normal normal normal 14px/21px Poppins;
}
.assay-qc .conditions {
  text-align: left;
  font: normal normal 600 18px/27px Poppins;
  letter-spacing: 0px;
  color: #575757;
  margin-left: -10px !important;
  padding-bottom: 20px;
}
.result-data {
  max-height: 500px;
  overflow-y: auto;
  border: #707070 2px solid;
  margin-top: 20px;
}
.assay-qc .table {
  margin-bottom: 0;
}
.assay-qc .table thead th {
  position: sticky;
  top: 0;
  z-index: 2;
  background-color: #4a4a4a;
  color: white;
  text-align: left;
  vertical-align: middle;
  border-left: none;
  border-right: none;
}
.assay-qc .table tr {
  background-color: white !important;

  text-align: left;
}
.assay-qc .table tr td {
  .table tr td {
    color: #575757 !important;
    text-align: left;
    border-top: 1px dashed #ccc; /* horizontal border above the cell */
    border-bottom: 1px dashed #ccc; /* horizontal border below the cell */
    border-left: none; /* no vertical border */
    border-right: none; /* no vertical border */
  }
}
.assay-qc .table tr .result-pass {
  color: green;
  width: 80px !important;
}
.assay-qc .table tr td span.result-pass-icon {
  display: inline-block;
  width: 24px;
  height: 24px;
  background: transparent url("../images/ic_pass.svg") no-repeat center center;
  background-size: contain;
  vertical-align: middle;
  margin-right: 5px;
}
.assay-qc .table tr td span.result-fail-icon {
  display: inline-block;
  width: 24px;
  height: 24px;
  background: transparent url("../images/ic_fail.png") no-repeat center center;
  background-size: contain;
  vertical-align: middle;
  margin-right: 5px;
}
.assay-qc .table tr .result-fail {
  color: red;

  width: 80px !important;
}
.result-icon {
  margin-right: 5px;
}

.button {
  width: 178px;
  height: 60px;
  color: white;
  background: #1679d6 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border-color: #1679d6;
  border-radius: 8px;
}

.data-section-heading {
  text-align: left;
  background-color: #e6f3ff !important;
  color: #235b90 !important;
  font-weight: bold;
}
.centered {
  text-align: center !important;
}
.footer-text {
  text-align: center;
  font: normal normal normal 16px/25px Poppins;
  letter-spacing: 0px;
  color: #575757;
}

.run-interpretation-form .table {
  margin-bottom: 0;
  max-height: 500px;
  overflow-y: auto;
  border: #575757 2px solid;
}
.run-interpretation-form .table thead th {
  position: sticky;
  top: 0;
  z-index: 2;
  background-color: #e6f3ff;
  color: #235b90;
  text-align: left;
  vertical-align: middle;
  border-left: none;
  border-right: none;
  padding-left: 50px;
}
.run-interpretation-form .table tr {
  background-color: white !important;

  text-align: left;
}
.run-interpretation-form .table tr td {
  color: #575757 !important;
  text-align: left;
  border-left: none; /* remove left border */
  border-right: none; /* remove right border */
  padding-left: 50px;

  text-align: left;
  font: normal normal medium 16px/25px Poppins;
  letter-spacing: 0px;
  color: #575757;
}

.custom-dropdown {
  width: 530px;
  height: 60px;
  background: #ffffff;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border: 1px solid #235b90;
  border-radius: 8px;
  opacity: 1;
}

.dropdown-toggle {
  width: 100%;
  max-width: 530px;
  height: 60px;
  background-color: white;
  color: #003366;
  text-align: left;
  padding-left: 20px;
  font-weight: 600;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border: 1px solid #235b90;
  border-radius: 8px;
  position: relative;
}

.dropdown-toggle::after {
  content: "";
  border: none !important; /* This removes the Bootstrap arrow */
  background-image: url("../images/arrow_down.svg");
  background-repeat: no-repeat;
  background-size: contain;
  width: 20px;
  height: 20px;
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  border: none;
}

.dropdown-menu {
  width: 530px;
  border: 1px solid #235b90;
  border-radius: 8px;
}

.dropdown-item {
  height: 60px;
  padding: 15px 25px;
  font-weight: 500;
  border-bottom: 1px solid #235b90 !important;
}
.dropdown-item.no-border {
  border-bottom: none !important;
}
/* Parent wrapper */
.small-dropdown-wrapper {
  width: 204px;
  max-width: 204px;
}

/* Small dropdown button */
.dropdown-toggle.small-dropdown {
  width: 100%;
  height: 60px;
  background-color: white;
  color: #003366;
  text-align: left;
  padding-left: 20px;
  font-weight: 600;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border: 1px solid #235b90;
  border-radius: 8px;
  position: relative;
}

/* Custom arrow */
.dropdown-toggle.small-dropdown::after {
  content: "";
  background-image: url("../images/arrow_down.svg");
  background-repeat: no-repeat;
  background-size: contain;
  width: 20px;
  height: 20px;
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
}

/* Match menu width with parent dropdown */
.small-dropdown-wrapper .dropdown-menu {
  width: 100% !important;
  border: 1px solid #235b90;
  border-radius: 8px;
  overflow: hidden;
  padding: 0;
  margin-top: 5px;
}

/* Menu item styling */
.small-dropdown-wrapper .dropdown-item {
  height: 60px;
  padding: 15px 20px;
  font-weight: 500;
  color: #003366;
  border-bottom: 1px solid #235b90 !important;
}

.small-dropdown-wrapper .dropdown-item.no-border {
  border-bottom: none !important;
}

.any-value {
  width: 204px;
  height: 60px;
  /* UI Properties */
  background: #e9eaeb 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 20px #8b8b8b29;
  border: 1px solid #c1c1c2;
  border-radius: 8px;
  opacity: 1;

  /* Flexbox for alignment */
  display: flex; /* Make the container a flex container */
  align-items: center; /* Vertically center the content */
  padding-left: 40px; /* Add 40px padding to the left */
}

.ct-result-normal {
  background-color: #f6edff !important;
  color: #8c5fbd !important;
  vertical-align: middle;
  border: 1px dashed #ccc !important;
}
.ct-result-positiveXLA {
  background-color: #e5fff2 !important;
  color: #4cb557 !important;
  vertical-align: middle;
  border: 1px dashed #ccc !important;
}
.ct-result-positive-SCID {
  background-color: #afd6fa !important;
  color: #235b90 !important;
  vertical-align: middle;
  border: 1px dashed #ccc !important;
}
.ct-result-positive-SCID-XLA {
  background-color: #faf5af !important;
  color: #908923 !important;
  vertical-align: middle;
  border: 1px dashed #ccc !important;
}
.ct-result-invalid {
  background-color: rgb(245, 194, 194) !important;
  color: red !important;
  vertical-align: middle;
  border: 1px dashed #ccc !important;
}

.ct-result .result-data {
  max-height: 500px;
  overflow-y: auto;
  border: #707070 2px solid;
}

.ct-result .table {
  margin-bottom: 0;
}
.ct-result .table thead th {
  position: sticky;
  top: 0;
  z-index: 2;
  background-color: #4a4a4a;
  color: white;
  text-align: left;
  vertical-align: middle;
  border-left: none;
  border-right: none;
}
.ct-result .table tr {
  background-color: white !important;

  text-align: left;
}
.ct-result .table tr td {
  color: #575757;
  text-align: left;
  border-top: 1px dashed #ccc; /* horizontal border above the cell */
  border-bottom: 1px dashed #ccc; /* horizontal border below the cell */
  border-left: none; /* no vertical border */
  border-right: none; /* no vertical border */
}
.ct-result a {
  color: #235b90 !important;
  font: normal normal normal 15px Poppins;
}

.result-link:hover {
  font-weight: bold;
}
.screening-complete .message {
  text-align: left;
  font: normal normal normal 20px/30px Poppins;
  letter-spacing: 0px;
  color: #235b90;
}

.screening-complete .result-id {
  text-align: left;
  font: normal normal normal 16px/25px Poppins;
  letter-spacing: 0px;
  color: #235b90;
}

.sticky-footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: white;
  z-index: 1000;
  border-top: 1px solid #ccc;
  padding: 10px 0;
  height: 60px;
}

body {
  padding-bottom: 60px; /* height of footer + some spacing */
}
